Client A P I
Update account password
Updates the authenticated user's password and revokes other active sessions where supported.
PUT
/api/client/account/passwordAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/client/account/password" \ -H "Content-Type: application/json" \ -d '{ "password": "correct horse battery staple", "current_password": "current-password", "password_confirmation": "correct-horse-battery-staple" }'Empty